-- iPrint Base Schema Definitions
-- Novell Inc.
-- 1800 S. Novell Place
-- Provo, UT 84606-6194
--
-- %version:		1.4 %
-- %date_modified:	Mon Jun 19 12:00:00 2006 %
--
-- CoPyRiGhT=(c) Copyright 1998-2006, Novell, Inc.  All rights reserved
-- August 7, 2008   Bumped version number for trusted site list changes
-- June 25, 2008    added "iPrintiCMTrustedSiteList"
-- January 6, 2004  added "iPrintPrinterControlPage" 
-- October 11, 2004 added "iPrintManagerDefaultURI"
-- April 28, 2006   added Client, RPM, and Accting attributes and modified
--                  object classes for new attributes
-- June 19, 2006    changed notation on RPM attributes to be iCM attributes..
-- July 5, 2006     separate iCM and Accounting attribs..
-- Sept 1, 2020     added "iPrintPrinterACL"
------------------------------------------
------------------------------------------
-- ASN1 Object ID's Defined as Follows:
--  joint-iso-ccitt(2) country(16) us(840) organization(1)
--  Novell(113719) applications(1) 
--
--	   Novell Printing  (4)  (x) (x) (x)
--    				 \ /  |	  |
-- 	 object identifier       (4) (0) (#)
--    attribute identifier       (5) (#) (#)
--
--OBJECT Definitions
--     iPrint Driver Store       (4) (0) (1)
--     iPrint Manager            (4) (0) (2)
--     iPrint Printer            (4) (0) (3)
--     iPrint Auxiliary Class	 (4) (0) (4)
--ATTRIBUTE Definitions
-- iPrint Driver Store Attrs     (5) (1) (#) unique for attribute
-- 	 iPrint Manager Attrs    (5) (2) (#) 
-- 	 iPrint Printer Attrs    (5) (3) (#)
--       iPrint misc. Attrs      (5) (4) (#) 
------------------------------------------
------------------------------------------
--  iPrint Version 5.0 Schema Extensions
------------------------------------------
-- 
iPrintSchemaExtentions DEFINITIONS ::=
BEGIN
------------------------------------------				  
-- iPrint Attributes for iPrintDriverStore
------------------------------------------
------------------------------------------
"iPrintDriverStoreCustomers" ATTRIBUTE ::=
{
  SyntaxID    SYN_DIST_NAME,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 1 1}
}
"iPrintDriverStoreIPPURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 1 2}
}
------------------------------------------				  
-- iPrint Attributes for iPrintManager
------------------------------------------
------------------------------------------
"iPrintManagerDBGenNum" ATTRIBUTE ::=
{
  SyntaxID    SYN_INTEGER,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 1}
}
"iPrintManagerDBPath" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 2}
}
"iPrintManagerDBSaveData" ATTRIBUTE ::=
{
  SyntaxID    SYN_STREAM,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 3}
}
"iPrintManagerDBSaveIndex" ATTRIBUTE ::=
{
  SyntaxID    SYN_STREAM,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 4}
}
"iPrintManagerDBSaveTime" ATTRIBUTE ::=
{
  SyntaxID    SYN_INTEGER,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 5}
}
"iPrintManagerIDS" ATTRIBUTE ::=
{
  SyntaxID    SYN_DIST_NAME,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 6}
}
"iPrintManagerIPPURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 7}
}
--
-- iPrintManagerPOtoPAidMap syntax
--
--      ((Typed_Name_T *)&attrVal)->objectName =(nuint8 *)printerDistNamePtr;
--      ((Typed_Name_T *)&attrVal)->level = paHandlePtrGbl[paHandle]->
--                                                paIdentifier;
--      ((Typed_Name_T *)&attrVal)->interval = printerId;
--
"iPrintManagerPOtoPAidMap" ATTRIBUTE ::=
{
  SyntaxID    SYN_TYPED_NAME,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 8}
}
"iPrintManagerDefaultURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 2 9}
}
------------------------------------------				  
-- iPrint Attributes for iPrintPrinter 
------------------------------------------
------------------------------------------
"iPrintPrinterIPPURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 1}
}
"iPrintPrinterManager" ATTRIBUTE ::=
{
  SyntaxID    SYN_DIST_NAME,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 2}
}
"iPrintPrinterOperatorRole" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 3}
}
"iPrintPrinterPAName" ATTRIBUTE ::=
{
  SyntaxID    SYN_OCTET_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 4}
}
"iPrintPrinterUserRole" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 5}
}
"iPrintPrinterControlPage" ATTRIBUTE ::=
{
  Operation	  ADD,
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 6}
}
"iPrintPrinterACL" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 7}
}
------------------------------------------				  
-- iPrint Attributes for iCM - Printer and Client settings
------------------------------------------
------------------------------------------
"iPrintiCMClientFlags" ATTRIBUTE ::=
{
  SyntaxID    SYN_INTEGER,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 2}
}
"iPrintiCMClientProxyURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 3}
}
"iPrintiCMClientTrayURI" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 4}
}
"iPrintiCMPrinterFlags" ATTRIBUTE ::=
{
  SyntaxID    SYN_INTEGER,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 5}
}
-- iPrintiCMPrinterList syntax
--
--  ItemPTR     NW - NDPS Printerobject/NDPS Printer XRI attribute
--              Linux - iPrintPrinter object/iPrintPrinterIPPURI attribute
--  Level       Timestamp - used for update driver
--  Interval    Flags - add, delete, default, workstation/user
--
"iPrintiCMPrinterList" ATTRIBUTE ::=
{
  SyntaxID    SYN_TYPED_NAME,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 6}
}

"iPrintiCMTrustedSiteList" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 7}
}

-- iPrintUserAccBalanceTransLog syntax
--
--  ItemPTR     User object manipulating the balance
--  Level       Amount of transaction to the balance (-/+)
--  Interval    Timestamp when balance manipulated
--
------------------------------------------
-- iPrint Object Classes
------------------------------------------
------------------------------------------
"iPrintDriverStore" OBJECT-CLASS ::=
{
  SubClassOf  {"SERVER"},
  Flags       {DS_EFFECTIVE_CLASS},
  MayContain  {"iPrintDriverStoreCustomers",
	       "iPrintDriverStoreIPPURI"},
  ASN1ObjID   {2 16 840 1 113719 1 4 4 0 1}
}
"iPrintManager" OBJECT-CLASS ::=
{
  SubClassOf  {"SERVER"},
  Flags       {DS_EFFECTIVE_CLASS},
  MayContain  {"iPrintManagerDBPath",
               "iPrintManagerDBSaveData",
               "iPrintManagerDBSaveIndex",
               "iPrintManagerDBSaveTime",
               "iPrintManagerDBGenNum",
               "iPrintManagerIDS",
               "iPrintManagerIPPURI",
               "iPrintManagerPOtoPAidMap",
               "iPrintManagerDefaultURI"},
  ASN1ObjID   {2 16 840 1 113719 1 4 4 0 2}
}
"iPrintPrinter" OBJECT-CLASS ::=
{
  Flags       {DS_EFFECTIVE_CLASS},
  SubClassOf  {"DEVICE"},
  MayContain  {"iPrintPrinterOperatorRole",
               "iPrintPrinterUserRole",
               "iPrintPrinterIPPURI",
               "iPrintPrinterPAName",
               "iPrintPrinterManager",
               "iPrintPrinterControlPage",
               "iPrintPrinterACL"},
  ASN1ObjID   {2 16 840 1 113719 1 4 4 0 3}
}
"iPrintMobileServer" OBJECT-CLASS ::=
{
  Flags       {DS_EFFECTIVE_CLASS},
  SubClassOf  {"SERVER"},
  MayContain  {"iPrintPrinterManager"},	
  ASN1ObjID   {2 16 840 1 113719 1 4 4 0 4}
}
-- Modification of Existing Classes
------------------------------------------
------------------------------------------
"User" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"iPrintiCMPrinterFlags",
	       "iPrintiCMPrinterList",
               "iPrintiCMClientFlags",
               "iPrintiCMClientProxyURI",
               "iPrintiCMClientTrayURI",
	       "iPrintiCMTrustedSiteList"}
}
"Group" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"iPrintiCMClientFlags",
               "iPrintiCMClientProxyURI",
               "iPrintiCMClientTrayURI",
               "iPrintiCMPrinterFlags",
	       "iPrintiCMPrinterList",
	       "iPrintiCMTrustedSiteList"}
}
"Organization" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"iPrintiCMClientFlags",
               "iPrintiCMClientProxyURI",
               "iPrintiCMClientTrayURI",
               "iPrintiCMPrinterFlags",
	       "iPrintiCMPrinterList",
	       "iPrintiCMTrustedSiteList"}
}
"Organizational Unit" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"iPrintiCMClientFlags",
               "iPrintiCMClientProxyURI",
               "iPrintiCMClientTrayURI",
               "iPrintiCMPrinterFlags",
	       "iPrintiCMPrinterList",
               "iPrintiCMTrustedSiteList"}
}
END
